io.netty.handler.codec.redis

## Interface RedisMessagePool

All Known Implementing Classes:
  FixedRedisMessagePool

    @UnstableApi
    public interface RedisMessagePool

A strategy interface for caching `RedisMessage`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getByteBufOfInteger(long value)` Returns `byte[]` for given `msg`.
`ErrorRedisMessage` `getError(io.netty.buffer.ByteBuf content)` Returns `ErrorRedisMessage` for given `content`.
`ErrorRedisMessage` `getError(String content)` Returns `ErrorRedisMessage` for given `content`.
`IntegerRedisMessage` `getInteger(io.netty.buffer.ByteBuf content)` Returns `IntegerRedisMessage` for given `content`.
`IntegerRedisMessage` `getInteger(long value)` Returns `IntegerRedisMessage` for given `value`.
`SimpleStringRedisMessage` `getSimpleString(io.netty.buffer.ByteBuf content)` Returns `SimpleStringRedisMessage` for given `content`.
`SimpleStringRedisMessage` `getSimpleString(String content)` Returns `SimpleStringRedisMessage` for given `content`.

### Method Detail

#### getSimpleString

    SimpleStringRedisMessage getSimpleString(String content)

Returns `SimpleStringRedisMessage` for given `content`. Returns `null` it does not exist.

#### getSimpleString

    SimpleStringRedisMessage getSimpleString(io.netty.buffer.ByteBuf content)

Returns `SimpleStringRedisMessage` for given `content`. Returns `null` it does not exist.

#### getError

    ErrorRedisMessage getError(String content)

Returns `ErrorRedisMessage` for given `content`. Returns `null` it does not exist.

#### getError

    ErrorRedisMessage getError(io.netty.buffer.ByteBuf content)

Returns `ErrorRedisMessage` for given `content`. Returns `null` it does not exist.

#### getInteger

    IntegerRedisMessage getInteger(long value)

Returns `IntegerRedisMessage` for given `value`. Returns `null` it does not exist.

#### getInteger

    IntegerRedisMessage getInteger(io.netty.buffer.ByteBuf content)

Returns `IntegerRedisMessage` for given `content`. Returns `null` it does not exist.

#### getByteBufOfInteger

    byte[] getByteBufOfInteger(long value)

Returns `byte[]` for given `msg`. Returns `null` it does not exist.